<?PHP

$msg = '';

if(isset($_POST['submit']) && $_POST['submit'] == 'Search'){

    // set error message by default
    $msg = '<p>Please enter a valid domain name.</p>';

    // string replace or clean $_POST['domain'] to ensure its nothing but domain and tld
    $_POST['domain'] = str_replace('www.', '', $_POST['domain']);
    $_POST['domain'] = str_replace('www', '', $_POST['domain']);
    $_POST['domain'] = str_replace('/', '', $_POST['domain']);
    $_POST['domain'] = str_replace(':', '', $_POST['domain']);
    $_POST['domain'] = str_replace('https', '', $_POST['domain']);
    $_POST['domain'] = str_replace('http', '', $_POST['domain']);
    $_POST['domain'] = trim($_POST['domain']);
    $_POST['domain'] = filter_var($_POST['domain'], FILTER_SANITIZE_URL);


    // if $_POST['domain'] is NOT empty, means contains a value
    if(!empty($_POST['domain'])){

        // see GoDaddy API documentation - https://developer.godaddy.com/doc
        // url to check domain availability
        $url = "https://api.godaddy.com/v1/domains/available?domain=".$_POST['domain'];

        // see GoDaddy API documentation - https://developer.godaddy.com/doc
        // set your key and secret
        $header = array(
            'Authorization: sso-key {API_KEY}:{API_SECRET}'
        );

        //open connection
        $ch = curl_init();
        $timeout=60;

        //set the url and other options for curl
        curl_setopt($ch, CURLOPT_URL, $url);
        curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER,false);  
        curl_setopt($ch, CURLOPT_HTTPHEADER, $header);

        //execute post and return response data.
        $result = curl_exec($ch);

        //close curl connection
        curl_close($ch);

        // decode the json response
        $dn = json_decode($result, true);

        // check if error code
        if(isset($dn['code'])){

            $msg = explode(":",$dn['message']);

            $msg = '<h2 style="text-align:center;">'.$msg[0].'</h2>';

        // proceed if no error
        } else {

            // the domain is available
            if(isset($dn['available']) && $dn['available'] == true){

                $msg = '<h2 style="text-align:center;">Woohoo! <a href="https://www.godaddy.com/domains/searchresults.aspx?checkAvail=1&domainToCheck='.$_POST['domain'].'">'.$_POST['domain'].'</a> is available!</h2>';

            // else the domain is NOT available
            } else {

                $msg = '<h2 style="text-align:center;">Sorry! '.$_POST['domain'].' is registered!</h2>';

            }
        
        }

    }

}

?>
<!DOCTYPE html>

<html>
<head>
<meta charset="UTF-8">
<title>Check Domain Availability</title>
</head>

<body style="padding: 50px 0px 0px 0px;">

<? echo $msg; ?>

<form action="" method="post">
    <p style="text-align:center;">
        Check Domain Availability:<br>
        <input type="text" name="domain" value="<? echo @$_POST['domain']; ?> " style="margin: 5px 0px;"><br>
        <input type="submit" name="submit" value="Search">
    </p>    
</form>

</body>

</html>